Subject: Re: Snoop maxcount

From: Frank <[email-masked]>
Date: Fri, 02 Jun 2000 10:25:45 -0400

I would think that the operating system limits would be your problem rather
than snoop.  I've forgotten the command, but check to see what the
maxfilesize limit is on your system.

Paula Dufour
George Washington University

"Jens-S. Voeckler" wrote:

> On Tue, 30 May 2000, Hyoung-Kee Choi wrote:
>
> ]I am having a problem with Snoop. Snoop abrubtly finished after
> ]recording 4 million packets although I did not specify the -c option in
> ]the command line. The trace file size is about 510MB after the Snoop
> ]run.
>
> I am restarting my snoop every night...
>
> ]In addition, has anyone sucessfully recorded packets in one file more
> ]than 2GB?
>
> Using the "largefiles" mount option might be the key here, see mount_ufs.
>
> Le deagh dhùrachd,
> Dipl.-Ing. Jens-S. Vöckler ([email-masked])
> Institute for Computer Networks and Distributed Systems
> University of Hanover, Germany; +49 511 762 4726

---

From: Kacheong Poon <[email-masked]>
Date: Fri, 2 Jun 2000 17:00:46 -0700 (PDT)

> I am having a problem with Snoop. Snoop abrubtly finished after
> recording 4 million packets although I did not specify the -c option in
> the command line. The trace file size is about 510MB after the Snoop
> run.

Do you get an error about out of disk space?  Snoop itself does not impose a
file size limit.  It just calculates the available space (fs.f_bavail *
fs.f_frsize) in the filesystem by doing fstatvfs().  So depending on how you
setup your filesystem, you may or may not be able to get a 2G trace file.

							K. Poon.
							[email-masked]